Bug 507729 - After upgrading from FC10 to FC11, Miro fails to run - no module named miro.plat
After upgrading from FC10 to FC11, Miro fails to run - no module named miro.plat
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 18:01 EDT by Rick Retterer
Modified: 2009-06-28 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 23:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Retterer 2009-06-23 18:01:49 EDT
Description of problem:
After upgrading from FC10 to FC11, Fedora release 11 (Leonidas),
  Miro fails to startup with the following error message:

Traceback (most recent call last):
  File "/usr/bin/miro.real", line 34, in <module>
    from miro.plat import xlibhelper
ImportError: No module named miro.plat


The xlibhelper.so file exists and has not changed.
The directory for the xlibhelper.so exists: 
# pwd /usr/lib/python2.5/site-packages/miro/plat/xlibhelper.so

If you attempt to update the Miro package you get the following error from yum: 

Transaction Check Error:
  package Miro-2.0.3-5.fc10.i386 (which is newer than Miro-2.0.3-2.fc11.i586) is already installed


Version-Release number of selected component Miro-2.0.3-5.fc10.i386 -and- Miro-2.0.3-2.fc11.i586



Steps to Reproduce:
1. Update your Fedora Core 10 system via the prompt that requests you upgrade.
2. Select all of the default options and allow the system to be updated.
3. Reboot your system, login and attempt to startup Miro using /usr/bin/miro...
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/miro.real", line 34, in <module>
    from miro.plat import xlibhelper
ImportError: No module named miro.plat


Expected results:

To have the application startup and run normally as it did in FC10.

Additional info:

# /usr/bin/miro --debug

DEBUGGING MODE.
GNU gdb (GDB) Fedora (6.8.50.20090302-27.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Starting program: /usr/bin/python ./miro.real --sync --debug
[Thread debugging using libthread_db enabled]
Traceback (most recent call last):
  File "./miro.real", line 34, in <module>
    from miro.plat import xlibhelper
ImportError: No module named miro.plat

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install python-2.6-9.fc11.i586
gdb>
Comment 1 Alex Lancaster 2009-06-23 20:51:23 EDT
There's a pending in updates-testing that fixes the upgrade path to F-11 problem:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-6726

Can you also test running as root:

yum --enablerepo=updates-testing install Miro

It may also fix your bug.  (I don't have an F-11 box yet to test myself).
Comment 2 Fedora Update System 2009-06-26 23:02:55 EDT
Miro-2.0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Rick Retterer 2009-06-28 04:54:02 EDT
Problem is fixed in Miro-2.0.4-1.fc11  Thanks.

Rick
Comment 4 Alex Lancaster 2009-06-28 23:33:41 EDT
(In reply to comment #3)
> Problem is fixed in Miro-2.0.4-1.fc11  Thanks.

Excellent, thanks for verifying the bug is fixed.  Closing bug.

Note You need to log in before you can comment on or make changes to this bug.